package com.dsic.gj_erp.bean.xiaochi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;

/**
 * 小池设备表
 */
@Getter
@Setter
@TableName("iot_m_machine")
public class Device extends Model<Device> {

    private String machineId;//设备id

    private String machineName;//设备名称

    private String serialNumber;//序列号

    private String machinemodelName;//设备型号

    private String torchType;//割枪类型

    private String updateDatetime;

    @TableId(value = "idd", type = IdType.AUTO)
    private Integer idd;

    private Integer orders;

    private String deliveryDate;

    private Double positionX;

    private String createDatetime;

    private String maintenanceDate;

    private Integer id;

    private String loginname;

    private Double customerId;

    private String viewFlag;

    private Double positionY;

    private Double tanto1Id;

    private String isDelete;

    private String updateUser;

    private String online;

    private Double plantId;

    private Integer floorId;

    private Double tanto2Id;

    private String createUser;

    private String ncdataPngPath;
}
