package com.dsic.gj_erp.controller.txzz;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jt.盘点;
import com.dsic.gj_erp.service.txzz.I盘点Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【请填写功能名称】Controller
 * 
 * @author ruoyi
 * @date 2024-06-26
 */
@RestController
@RequestMapping("/system/盘点")
public class 盘点Controller{
    @Autowired
    private I盘点Service 盘点Service;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public ResultBean list(盘点 盘点)
    {
        List<盘点> list = 盘点Service.select盘点List(盘点);
        return new ResultBean(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @PostMapping("/export")
    public void export(HttpServletResponse response, 盘点 盘点)
    {
        List<盘点> list = 盘点Service.select盘点List(盘点);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{盘点类型}")
    public ResultBean getInfo(@PathVariable("盘点类型") String 盘点类型)
    {
        盘点Service.select盘点By盘点类型(盘点类型);
        return new ResultBean();
    }

    /**
     * 新增【请填写功能名称】
     */
    @PostMapping
    public ResultBean add(@RequestBody 盘点 盘点)
    {
        盘点Service.insert盘点(盘点);
        return new ResultBean();
    }

    /**
     * 修改【请填写功能名称】
     */
    @PutMapping
    public ResultBean edit(@RequestBody 盘点 盘点)
    {
        盘点Service.update盘点(盘点);
        return new ResultBean();
    }

    /**
     * 删除【请填写功能名称】
     */
	@DeleteMapping("/{盘点类型s}")
    public ResultBean remove(@PathVariable String[] 盘点类型s)
    {
        盘点Service.delete盘点By盘点类型s(盘点类型s);
        return new ResultBean();
    }
}
